# Uses of Class
org.eclipse.zest.core.widgets.GraphItem

Packages that use GraphItem
Package
Description
org.eclipse.zest.core.viewers
org.eclipse.zest.core.widgets

## Uses of GraphItem in org.eclipse.zest.core.viewers

Methods in org.eclipse.zest.core.viewers that return GraphItem
Modifier and Type
Method
Description
`protected GraphItem`
AbstractStructuredGraphViewer.`doFindItem(Object element)`
`GraphItem`
GraphViewer.`findGraphItem(Object element)`
Finds the graph widget item for a given user model item.
`protected GraphItem[]`
AbstractStructuredGraphViewer.`findItems(List<Object> l)`
Methods in org.eclipse.zest.core.viewers that return types with arguments of type GraphItem
Modifier and Type
Method
Description
`protected List<? extends GraphItem>`
AbstractStructuredGraphViewer.`getWidgetSelection()`
Gets the internal model elements that are selected.

## Uses of GraphItem in org.eclipse.zest.core.widgets

Subclasses of GraphItem in org.eclipse.zest.core.widgets
Modifier and Type
Class
Description
`class`
`CGraphNode`
A Custom Graph Node
`class`
`GraphConnection`
This is the graph connection model which stores the source and destination nodes and the properties of this connection (color, line width etc).
`class`
`GraphContainer`
A Container than can be added to a Graph.
`class`
`GraphNode`
Simple node class which has the following properties: color, size, location, and a label.
Methods in org.eclipse.zest.core.widgets that return GraphItem
Modifier and Type
Method
Description
`protected GraphItem`
Graph.`getGraphItem(IFigure figure)`
Returns the item for the given figure
Methods in org.eclipse.zest.core.widgets that return types with arguments of type GraphItem
Modifier and Type
Method
Description
`List<? extends GraphItem>`
Graph.`getSelection()`
Gets the list of currently selected graph items
Methods in org.eclipse.zest.core.widgets with parameters of type GraphItem
Modifier and Type
Method
Description
`boolean`
LayoutFilter.`isObjectFiltered(GraphItem item)`
`void`
Graph.`setSelection(GraphItem[] items)`
Changes the selection to the list of items